Subject: [netatalk-admins] How to access CAP files from Netatalk

From: Cato <[email-masked]>
Date: Fri, 03 Oct 1997 15:21:51 +0200

We recently switched from SunOS 4.1.3 to Solaris 2.5.1
and haven't been able to get CAP to function.
As Netatalk runs just fine we want to use it instead but
are now stuck with a "small" problem...
How to be able to access thoose files put on the server
by CAP?. All files containing only a datafork are of course
not a big deal but the others...

- - - Anders

---

From: Colin Eric Johnson <[email-masked]>
Date: Fri, 3 Oct 1997 11:32:32 -0600 (MDT)

> not a big deal but the others...

I'm pretty sure that megatron (the evil file transformer, part of
netatalk) and its permutations should work for going from things like
AppleSingle to AppleDouble. 

Colin E. Johnson | [email-masked] | http://www.unm.edu/~colinj/
Harming only the humorless since 1967

checking the manpage:

MEGATRON(1)              USER COMMANDS                MEGATRON(1)

NAME
     megatron, unhex, unbin, unsingle, hqx2bin, single2bin,  mac-
     binary - Macintosh file format transformer

SYNOPSIS
     megatron [ sourcefile... ]

     unbin [ sourcefile... ]

     unhex [ sourcefile... ]

     unsingle [ sourcefile... ]

     hqx2bin [ sourcefile... ]

     single2bin [ sourcefile... ]

     macbinary [ sourcefile... ]

DESCRIPTION
     megatron is used to transform files from BinHex,  MacBinary,
     AppleSingle, or netatalk style AppleDouble formats into Mac-
     Binary or netatalk style AppleDouble formats.  The  netatalk
     style  AppleDouble  format  is the file format used by afpd,
     the netatalk  Apple  Filing  Protocol  (AppleShare)  server.
     BinHex, MacBinary, and AppleSingle are commonly used formats
     for transferring Macintosh files between machines via  email
     or  file  transfer  protocols.   megatron  uses  its name to
     determine what type of tranformation is being asked of it.

     If megatron is called as unhex, unbin, or unsingle, it tries
     to  convert  file(s)  from BinHex, MacBinary, or AppleSingle
     into AppleDouble format.  BinHex is the  format  most  often
     used to send Macintosh files by e-mail.  Usually these files
     have an extension of ".hqx".  MacBinary is the  format  most
     often used by terminal emulators "on the fly" when transfer-
     ring Macintosh files in binary mode.  MacBinary files  often
     have an extension of ".bin".  Some Macintosh LAN-based email
     packages use uuencoded AppleSingle  format  to  "attach"  or
     "enclose"  files  in  email.  AppleSingle files don't have a
     standard filename extension.

     If megatron is called as hqx2bin, single2bin, or  macbinary,
     it will try to convert the file(s) from BinHex, AppleSingle,
     or AppleDouble into MacBinary.  This last translation may be
     useful  in  moving  Macintosh files from your afpd server to
     some other machine when you can't copy them from the  server
     using a Macintosh for some reason.

     If megatron is called with  any  other  name,  it  uses  the
     default translation, namely unhex.

netatalk 1.2         Last change: 8 Jan 1992                    1

MEGATRON(1)              USER COMMANDS                MEGATRON(1)

     If no source file is given, or if sourcefile is `-', and  if
     the  conversion is from a BinHex or MacBinary file, megatron
     will read from standard input.

     The filename used to store any output file is  the  filename
     that  is  encoded  in  the source file.  MacBinary files are
     created with a ".bin" extension.  In the case of  conflicts,
     the old file is overwritten!

SEE ALSO
     afpd(8)

netatalk 1.2         Last change: 8 Jan 1992                    2

---

From: Mario Haza <[email-masked]>
Date: Sun, 5 Oct 1997 09:58:03 -0500 (CDT)

I have CAP running on Solaris 2.5.1, the previous technical support
manager compiled it and i make some few changes. Maybe it hasn't all the
functionallity of CAP but it let mi share Mac applications.

I can share the binaries.

> not a big deal but the others...

*************************************************************************
*                                                      _                *
*  Mario "Mago" Haza.                                 / \       ___     *
*  Centro de Investigacion en Computacion Educativa   \  \     /\_/     *
*  Coordinacion de Soporte Tecnico                     \  \   /  /      *
*   Research Center for Computing & Education           \  \ /  /       *
*   Technical Support                                   / O   O \       *
*                                                      |   >o<   |      *
*  e-mail: [email-masked]                  \ _[|]_ /       *
*          [email-masked]                ____{||}___{||}____  *
*          [email-masked]                     |_________________|  *
*                                                     |           |     *
*  Tel. (5) 627-0210 Ext. 8530 u 8527                 |           |     *
*       Ciudad de Mexico (Mexico City)                |           |     *
*                                                     |___________|     *
*                                                                       *
*************************************************************************